<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.net.URLEncoder" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  BaseJSPData basedat = BaseJSPData.retrieve(request);
  Variables.failIfNull(basedat);
  UserContext user = Variables.getUserContext(application,request,session);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
  String header_font = rdat.getStdFontTag("white",3);
  String stdfont = rdat.getStdFontTag(null,2);
  String smallfont = rdat.getStdFontTag(null,1);
  String partial_tgt, foo;
%>
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<HTML>
<HEAD>
  <%= rdat.getTitleTag(basedat.getTitle(rdat)) %>
  <%= rdat.getStdBaseFontTag(3) %>
</HEAD>

<BODY BGCOLOR="#9999FF">
  <% if (rdat.useHTMLComments()) { %><!-- BEGIN PAGE HEADER --><% } %>
  <TABLE BORDER=0 BGCOLOR="#6666CC" WIDTH="100%" CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT WIDTH=150>
        <% if (rdat.useHTMLComments()) { %><!-- Site logo --><% } %>
        <%= rdat.getSiteImageTag(2,2) %>
      </TD>

      <TD ALIGN=LEFT WIDTH=150><%= header_font %><B>
        <% if (rdat.useHTMLComments()) { %><!-- Links to Front Page, Help, Find --><% } %>
	<A HREF="<%= rdat.getEncodedServletPath("top") %>"><FONT COLOR="yellow">Front Page</FONT></A><P>
	<A HREF="/TODO"><FONT COLOR="yellow">Help</FONT></A>&nbsp;|&nbsp;
	<A HREF="<%= rdat.getEncodedServletPath("find") %>"><FONT COLOR="yellow">Find</FONT></A>
      </B></FONT></TD>

      <TD ALIGN=RIGHT WIDTH=150>
	<% if (rdat.useHTMLComments()) { %><!-- Banner Ad --><% } %>
	<%-- BEGIN TEMP - Banner Ad code --%>
	<IMG SRC="/venice/images/sample-banner.gif" ALT="Banner Ad - 468x60" ALIGN=RIGHT
	 WIDTH=468 HEIGHT=60 HSPACE=2 VSPACE=2>
	<%-- END TEMP - Banner Ad Code --%>
      </TD>
    </TR>

    <% if (rdat.useHTMLComments()) { %><!-- Login reminders --><% } %>
    <TR VALIGN=MIDDLE><TD ALIGN=CENTER COLSPAN=3><%= header_font %>
      <% if (user.isLoggedIn()) { %>
        You are logged in as <B><%= StringUtil.encodeHTML(user.getUserName()) %></B>
        <% if (basedat.displayLoginLinks()) { %>
          <%
            partial_tgt = "account?tgt=" + URLEncoder.encode(basedat.getLocation()) + "&cmd=";
            foo = rdat.getEncodedServletPath(partial_tgt + "L");
          %>
          &nbsp;-&nbsp;<A HREF="<%= foo %>"><FONT COLOR="yellow">Log Out</FONT></A>
          <% foo = rdat.getEncodedServletPath(partial_tgt + "P"); %>
          &nbsp;|&nbsp;<A HREF="<%= foo %>"><FONT COLOR="yellow">Profile</FONT></A>
        <% } // end if %>
      <% } else { %>
        You are not logged in
        <% if (basedat.displayLoginLinks()) { %>
          <%
            partial_tgt = "account?tgt=" + URLEncoder.encode(basedat.getLocation()) + "&cmd=";
            foo = rdat.getEncodedServletPath(partial_tgt + "L");
          %>
          &nbsp;-&nbsp;<A HREF="<%= foo %>"><FONT COLOR="yellow">Log In</FONT></A>
          <% foo = rdat.getEncodedServletPath(partial_tgt + "C"); %>
          &nbsp;|&nbsp;<A HREF="<%= foo %>"><FONT COLOR="yellow">Create Account</FONT></A>
        <% } // end if %>
      <% } // end if %>
    </FONT></TD></TR>

  </TABLE>
  <% if (rdat.useHTMLComments()) { %><!-- END PAGE HEADER --><% } %>

  <TABLE BORDER=0 WIDTH="100%" CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=TOP>
      <TD ALIGN=LEFT WIDTH=120 BGCOLOR="#9999FF">
        <TABLE ALIGN=LEFT WIDTH=120 CELPADDING=0 CELLSPACING=0>
          <% if (rdat.useHTMLComments()) { %><!-- BEGIN LEFT SIDEBAR --><% } %>
	  <TR VALIGN=TOP><TD VALIGN=LEFT><%= stdfont %>
	    <% if (rdat.useHTMLComments()) { %><!-- variable menu --><% } %>
            <% basedat.renderMenu(session,out,rdat); %>
          </FONT></TD></TR>

          <TR VALIGN=TOP><TD VALIGN=LEFT>&nbsp;</TD></TR>
          <TR VALIGN=TOP><TD VALIGN=LEFT><%= stdfont %>
	    <% if (rdat.useHTMLComments()) { %><!-- fixed menu --><% } %>
	    <% basedat.renderFixedMenu(out,rdat); %>
          </FONT></TD></TR>

	  <% if (rdat.useHTMLComments()) { %><!-- END LEFT SIDEBAR --><% } %>

        </TABLE>
      </TD>

      <TD ALIGN=LEFT WIDTH="100%" BGCOLOR="white">
	<% if (rdat.useHTMLComments()) { %><!-- BEGIN PAGE CONTENT --><% } %>
        <% basedat.renderContent(application,out,rdat); %>
  	<% if (rdat.useHTMLComments()) { %><!-- END PAGE CONTENT --><% } %>
      </TD>
    </TR>

    <TR VALIGN=TOP>
      <TD ALIGN=LEFT WIDTH=120 BGCOLOR="#9999FF">&nbsp;</TD>
      <TD ALIGN=LEFT WIDTH="100%" BGCOLOR="white">
        <% if (rdat.useHTMLComments()) { %><!-- PAGE FOOTER --><% } %>
	<HR WIDTH="80%">
        <TABLE ALIGN=CENTER BORDER=0 CELLPADDING=0 CELLSPACING=6><TR VALIGN=TOP>
          <TD ALIGN=RIGHT><%= smallfont %><%= rdat.getStockMessage("footer-text") %></FONT></TD>
          <TD ALIGN=LEFT>
	    <A HREF="http://venice.sourceforge.net" TARGET="_blank"><IMG
               SRC="<%= rdat.getFullImagePath("powered-by-venice.gif") %>" ALT="Powered by Venice"
	       WIDTH=140 HEIGHT=80 BORDER=0 HSPACE=0 VSPACE=0></A>
          </TD>
        </TR></TABLE> 
      </TD>
    </TR>

  </TABLE>

</BODY>
</HTML>
